Loading...
Searching...
No Matches
parametertreeparser.hh File Reference

Various parser methods to get data into a ParameterTree object. More...

`#include <istream>`
`#include <string>`
`#include <vector>`
`#include <dune/common/parametertree.hh>`
`#include <dune/common/exceptions.hh>`

Go to the source code of this file.

## Classes

class | Dune::ParameterTreeParserError
| report parser error while reading ParameterTree More...
class | Dune::HelpRequest
| exception thrown if the user wants to see help string More...
class | Dune::ParameterTreeParser
| Parsers to set up a ParameterTree from various input sources. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

Various parser methods to get data into a ParameterTree object.